Package: groovy.jmx.builder

## [Java] Class JmxBuilderException

- groovy.jmx.builder.JmxBuilderException

- Runtime exception used by JmxBuilder.

  Authors:
    Vladimir Vivien

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxBuilderException ()` Default constructor for exception.
    `JmxBuilderException (String ex)` Parameterized constructor.
    `JmxBuilderException (Throwable ex)` Parameterized constructor.
    `JmxBuilderException (String msg, Throwable ex)` Parameterized constructor.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public JmxBuilderException()

      Default constructor for exception.

    - #### public JmxBuilderException(String ex)

      Parameterized constructor.

      Parameters:
        `ex` - - exception message.

    - #### public JmxBuilderException(Throwable ex)

      Parameterized constructor.

      Parameters:
        `ex` - - exception thrown.

    - #### public JmxBuilderException(String msg, Throwable ex)

      Parameterized constructor.

      Parameters:
        `msg` - - exception message.
        `ex` - - exception thrown.